# std::insert_iterator<Container>::insert_iterator

From cppreference.com
< cpp‎ | iterator‎ | insert iterator

insert_iterator() = default; | (1) | (since C++20)
| (2) |
insert_iterator( Container& c, typename Container::iterator i ); |  | (until C++20)
constexpr insert_iterator( Container& c, ranges::iterator_t<Container> i ); |  | (since C++20)

1) Initializes the underlying pointer to container with nullptr and value-initializes the underlying iterator. | (since C++20)

2) Initializes the underlying pointer to the container to std::addressof(c) and the underlying iterator to `i`.

### Parameters

c | - | container to initialize the inserter with
i | - | iterator to initialize the inserter with

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/iterator/insert_iterator/insert_iterator&oldid=107597"